%global momorel 1

Summary: Allows POP3 & SMTP access to Hotmail, MSN & Lycos
Name: hotwayd
Version: 0.8.4
Release: %{momorel}m
License: GPL
URL: http://hotwayd.sourceforge.net/
Group: System Environment/Daemons
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/hotwayd/%{name}-%{version}.tar.bz2 c3f59d9b7c61640a557bc9007c28cec3
Patch: %{name}-0.8.2-disable-service.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libxml2 >= 2.4.19, cyrus-sasl >= 2.0.0, xinetd
BuildPreReq: libxml2-devel >= 2.4.19, cyrus-sasl-devel >= 2.0.0

%description
Hotwayd is a POP3/SMTP-HTTPMail gateway daemon. HTTPMail is an
undocumented WebDAV-based protocol used by mail servers such as
Hotmail, MSN, Lycos and Spray.se. This gateway allows *any* POP3/SMTP
compatible email client to handle (download, delete, etc) messages and
send messages on hotmail.com, msn.com and lycos mailboxes. By using
this defined back door protocol it means that hotwayd is not dependent
on the web interface.

%prep
%setup -q
%patch -p1 -b .disable-service

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

mkdir -p %{buildroot}%{_sysconfdir}/xinetd.d
install -m 644 hotwayd.xinetd %{buildroot}%{_sysconfdir}/xinetd.d/hotwayd
install -m 644 hotsmtpd/hotsmtpd.xinetd %{buildroot}%{_sysconfdir}/xinetd.d/hotsmtpd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README*
%config(noreplace) %{_sysconfdir}/xinetd.d/hotwayd
%config(noreplace) %{_sysconfdir}/xinetd.d/hotsmtpd
%{_sbindir}/hotwayd
%{_sbindir}/hotsmtpd
%{_mandir}/man1/hotwayd.1*
%{_mandir}/man1/hotsmtpd.1*

%changelog
* Sat Jun 25 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.4-1m)
- version 0.8.4

* Mon Dec 13 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-1m)
- version 0.8.2
- update disable-service.patch

* Sat Dec  4 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-1m)
- version 0.8.1

* Sat Aug 14 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8-2m)
- add hotwayd-0.8-disable-servise.patch
- remove %%post and %%postun sections

* Thu Mar 25 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8-1m)
- version 0.8

* Mon Nov 17 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.1-1m)
- version 0.7.1

* Thu Oct 30 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-1m)
- import

* Thu Oct 16 2003 David Smith <courierdave@users.sourceforge.net>
- Update to 0.7
* Tue Apr 29 2003 David Smith <courierdavid@yahoo.com.au>
- Initial build.
